Description

Here I report a number of issues that are preventing users to integrate algorithms with the e-Infrastructure. These issues are related

to  communication problems between SAI and the Workspace.

1. files extensions are automatically changed: if my process is a compiled process named "cprocess", and I have integrated this

process by invoking it from command line, in the zip package this is automatically renamed as cprocess.sh and my integration

does not work. This transformation may be discovered by expert users but not by common users.

2. Randomly, after pressing the Repackage button, there is some error at deleting the previous project zip package and, from that

moment on, the zip file on the Workspace remains locked. This prevents any other Repackaging operation and there is no other

way than starting a new project from scratch to go forward. This is critical, since it may destroy a user's work of several days.

3. Randomly, a project's full metadata information is not correctly reported to SAI and thus is not correctly saved on the

Workspace. When this error occurs, the SAI project is compromised and cannot be neither saved nor opened. Also in this case

a new project should be started from scratch.

I will share a SAI project among us in order to test these aspects.

Subtasks:

Task # 9569: HL: Problem with locks Closed

Task # 9570: Metadata information not correctly reported to SAI Rejected

Task # 9571: HL: not add extensions to files during the zip creation Closed

History

#1 - Aug 28, 2017 11:43 AM - Gianpaolo Coro

The project TEST_SAI_WS_INTERACTION has been shared and already presents error n. 3

#2 - Sep 01, 2017 06:03 PM - Valentina Marioli

- Status changed from New to In Progress

#3 - Sep 01, 2017 06:29 PM - Valentina Marioli

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

To fix the issues:

1. during the zip creation, the extensions are automatically added to files. We can skip this step to avoid this problem.

2. actually you are not deleting the previous project zip package, but you are overwriting it. We should investigate why the lock is not released

when the file is overwritten.

3. it seems that such information are not available or not updated when the service sends the request. We should understand what happens.

I'm going to release the first fix for the next release. For point 2) and 3) I'm going to open two tickets to complete the activity.
